com.explodingpixels.macwidgets

## Class RatingComponent

- java.lang.Object
- - com.explodingpixels.macwidgets.RatingComponent

-     public class RatingComponent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RatingComponent(Rating rating)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRatingChangeListener(RatingChangeListener listener)`
    `JComponent` | `getComponent()`
    `void` | `removeRatingChangeListener(RatingChangeListener listener)`
    `void` | `setFocused(boolean focused)`
    `void` | `setRating(Rating rating)`
    `void` | `setSelected(boolean selected)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RatingComponent

          public RatingComponent(Rating rating)

  - ### Method Detail

    - #### getComponent

          public JComponent getComponent()

    - #### setSelected

          public void setSelected(boolean selected)

    - #### setFocused

          public void setFocused(boolean focused)

    - #### setRating

          public void setRating(Rating rating)

    - #### addRatingChangeListener

          public void addRatingChangeListener(RatingChangeListener listener)

    - #### removeRatingChangeListener

          public void removeRatingChangeListener(RatingChangeListener listener)